Wind River Support Network

HomeDefectsLIN5-14030
Fixed

LIN5-14030 : Security Advisory - krb5 - CVE-2012-1015

Created: Apr 18, 2013    Updated: Dec 19, 2017
Resolved Date: Jul 18, 2013
Previous ID: LIN3-24697
Found In Version: 5.0
Fix Version: 5.0.1.6
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The kdc_handle_protected_negotiation function in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) 1.8.x, 1.9.x before 1.9.5, and 1.10.x before 1.10.3 attempts to calculate a checksum before verifying that the key type is appropriate for a checksum, which allows remote attackers to execute arbitrary code or cause a denial of service (uninitialized pointer free, heap memory corruption, and daemon crash) via a crafted AS-REQ request.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2012-1015

Workaround

Unknown

Steps to Reproduce

Unknown

Other Downloads


Live chat
Online